Subject: bug in libparted trying to add partitions to list

From: David Timms <[email-masked]>
Date: Sun, 17 May 2015 13:28:41 +1000

I have a HP ProBook 470 G2, 750GB disk. Formatted by manufacturer, then
repartioned by gparted 3.2 on Fedora 20 x86_64. The original windows
partitions have been resized and moved to make way for a Fedora 22 (TC4)
install.

During start of the Fedora installer (Anaconda), a backtrace occurs in
libparted.

I've created a live USB stick and booted that, which succeeds on the
machine.

Trying many parted commands fails with the same error. The information
from command just generates the same backtrace:
---
Backtrace has 19 calls on stack:
  19: /lib64/libparted.so.2(ped_assert+0x44) [0x7f8a48fda2f4]
  18: /lib64/libparted.so.2(+0x20506) [0x7f8a48fed506]
  17: /lib64/libparted.so.2(+0x11d5a) [0x7f8a48fded5a]
  16: /lib64/libparted.so.2(ped_disk_add_partition+0x263) [0x7f8a48fdf653]
  15: /lib64/libparted.so.2(+0x1fde5) [0x7f8a48fecde5]
  14: /lib64/libparted.so.2(+0x1fe80) [0x7f8a48fece80]
  13: /lib64/libparted.so.2(+0x1fe80) [0x7f8a48fece80]
  12: /lib64/libparted.so.2(+0x1fe80) [0x7f8a48fece80]
  11: /lib64/libparted.so.2(+0x1fe80) [0x7f8a48fece80]
  10: /lib64/libparted.so.2(+0x1fe80) [0x7f8a48fece80]
  9: /lib64/libparted.so.2(+0x1fe80) [0x7f8a48fece80]
  8: /lib64/libparted.so.2(+0x1fe1f) [0x7f8a48fece1f]
  7: /lib64/libparted.so.2(+0x20dd5) [0x7f8a48feddd5]
  6: /lib64/libparted.so.2(ped_disk_new+0x49) [0x7f8a48fdf279]
  5: parted() [0x407719]
  4: parted(interactive_mode+0xff) [0x40c9ef]
  3: parted(main+0x119f) [0x405f1f]
  2: /lib64/libc.so.6(__libc_start_main+0xf0) [0x7f8a487b9790]
  1: parted() [0x405f77]
---

I can post the MBR data somewhere if that is useful. (tell me what you
need).

Dave.